### Class

# Gdk VulkanContext

since: 4.0

#### Description [src]

    abstract class Gdk.VulkanContext : Gdk.DrawContext
      implements Gio.Initable {
      /* No available fields */
    }

`GdkVulkanContext` is an object representing the platform-specific Vulkan draw context.

`GdkVulkanContext`s are created for a surface using `gdk_surface_create_vulkan_context()`, and the context will match the characteristics of the surface.

Support for `GdkVulkanContext` is platform-specific and context creation can fail, returning `NULL` context.

Available since: 4.0

#### Ancestors

- GdkDrawContext
- GObject

#### Implements

- GInitable

#### Instance methods

##### Methods inherited from GdkDrawContext (6)

###### gdk_draw_context_begin_frame

Indicates that you are beginning the process of redrawing `region` on the `context`‘s surface.

since: 4.0

###### gdk_draw_context_end_frame

Ends a drawing operation started with gdk_draw_context_begin_frame().

since: 4.0

###### gdk_draw_context_get_display

Retrieves the `GdkDisplay` the `context` is created for.

since: 4.0

###### gdk_draw_context_get_frame_region

Retrieves the region that is currently being repainted.

since: 4.0

###### gdk_draw_context_get_surface

Retrieves the surface that `context` is bound to.

since: 4.0

###### gdk_draw_context_is_in_frame

Returns `TRUE` if `context` is in the process of drawing to its surface.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

since: 2.22

#### Properties

##### Properties inherited from GdkDrawContext (2)

###### Gdk.DrawContext:display

The `GdkDisplay` used to create the `GdkDrawContext`.

since: 4.0

###### Gdk.DrawContext:surface

The `GdkSurface` the context is bound to.

since: 4.0

#### Signals

###### Gdk.VulkanContext::images-updated

Emitted when the images managed by this context have changed.

since: 4.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0